al_set_window_constraints(3)

NAME

al_set_window_constraints - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_set_window_constraints(ALLEGRO_DISPLAY *display,
       int min_w, int min_h, int max_w, int max_h)

DESCRIPTION

Constrains a non-fullscreen resizable display. The constraints are a hint only, and are not necessarily respected by the window environment. A value of 0 for any of the parameters indicates no constraint for that parameter.

The constraints will be applied to a display only after the al_apply_window_constraints(3) function call.

SINCE

5.1.0

SEE ALSO

al_apply_window_constraints(3), al_get_window_constraints(3)